3.6. Montowanie i odmontowywanie systemów plików
Poprzedni | Rozdział 3. Podstawy Uniksa | Następny

## 3.6. Montowanie i odmontowywanie systemów plików

System plików można sobie wyobrazić jako drzewo, którego korzeniem jest `/`. `/dev`, `/usr` i inne podkatalogi katalogu głównego są gałęziami, z których mogą wyrastać kolejne gałęzie, na przykład `/usr/local`, itd.

Jest kilka powodów, dla których warto jest trzymać niektóre katalogi w oddzielnych systemach plików. W katalogu `/var` znajdują się podkatalogi `log/` i `spool/` oraz rozmaite pliki tymczasowe, z tego powodu może się on zapełnić. Zapełnienie głównego systemu plików jest raczej niepożądane, więc często zaleca się oddzielenie `/var` od `/`.

Często niektóre katalogi umieszczane są na odrębnych systemach plików ze względu na to, że znajdują się na osobnych dyskach fizycznych lub dyskach wirtualnych, jak na przykład pliki udostępniane poprzez Network File System lub napędy CDROM.

### 3.6.1. Plik `fstab`

Systemy plików wymienione w pliku `/etc/fstab` są automatycznie montowane podczas ładowania systemu (prócz oznaczonych opcją `noauto`).

Wpisy w pliku `/etc/fstab` są następującej postaci:

`urządzenie` `/punkt-montowania` `typ` `opcje` `archiwizacja` `nr-przebiegu`

`urządzenie`

  Nazwa pliku urządzenia (istniejącego), zgodnie z opisem w Sekcja 17.2, „Device Names”.

`punkt-montowania`

  Katalog (istniejący), w którym system plików ma być zamontowany.

`typ`

  Typ systemu plików przekazywany poleceniu mount(8). We FreeBSD domyślnie jest to `ufs`.

`opcje`

  Pierwszą opcją jest `rw`, jeśli w systemie plików ma być możliwy odczyt i zapis, albo `ro`, jeżeli dozwolony ma być tylko odczyt. W następnej kolejności podawane są inne opcje. Często stosowana jest opcja `noauto`, która zapobiega automatycznemu montowaniu systemu plików podczas uruchamiania systemu. Pozostałe opcje opisane są w dokumentacji systemowej mount(8).

`archiwizacja`

  Na podstawie tej informacji program dump(8) stwierdza, które systemy plików mają być archiwizowane. Jeśli pole to zostanie pominięte, domyślnie przyjmowana jest wartość zero.

`nr-przebiegu`

  Na podstawie tego pola wyznaczana jest kolejność, w jakiej systemy plików poddawane są sprawdzaniu. Systemy plików, które nie mają być sprawdzane, powinny mieć `nr-przebiegu` ustawiony na zero. Główny system plików (powinien być sprawdzony jako pierwszy) powinien mieć `nr-przebiegu` o wartości jeden, a inne systemy plików powinny mieć wpisaną wartość większą od jednego. Jeśli dwa lub więcej systemów plików będzie miało taki sam `nr-przebiegu`, wówczas fsck(8), o ile będzie to możliwe, podejmie próbę równoległego sprawdzenia tych systemów plików.

Więcej informacji o formacie pliku `/etc/fstab` oraz definiowanych w nim opcji dostępnych w podręczniku systemowym fstab(5)

### 3.6.2. Polecenie `mount`

Polecenie mount(8) jest głównym poleceniem używanym do montowania systemów plików.

W najprostszej postaci, używa się go następująco:

`#` `mount `urządzenie` `punkt-montowania``

Polecenie to ma mnóstwo opcji wymienionych w dokumentacji systemowej mount(8). Do najczęściej stosowanych należą:

Opcje montowania

`-a`

  Montowanie wszystkich systemów plików wymienionych w `/etc/fstab`. Nie są montowane systemy plików z opcją „noauto” oraz wykluczone przez opcję `-t`, jak również systemy plików już zamontowane.

`-d`

  Wykonanie wszystkiego, oprócz faktycznego wywołania funkcji systemowej montowania. W połączeniu z opcją `-v` można w ten sposób sprawdzić, co tak naprawdę mount(8) stara się zrobić.

`-f`

  Wymuszenie montowania nieuporządkowanego systemu plików (niebezpieczne), lub wymuszenie odebrania prawa do zapisu przy zmianie trybu montowania systemu plików z trybu „odczyt i zapis” na „tylko do odczytu”.

`-r`

  Montowanie systemu plików w trybie tylko do odczytu. Taki sam efekt ma zastosowanie opcji `-o` z argumentem `ro` (bądź `rdonly` w wersjach FreeBSD wcześniejszych niż 5.2).

`-t` `typ`

  Montowanie systemu plików o określonym typie. Przy zastosowaniu opcji `-a` montowane są tylko systemy plików podanego typu.

  Domyślnym typem systemu plików jest „ufs”.

`-u`

  Uaktualnienie opcji montowania systemu plików.

`-v`

  Pokazywanie dodatkowych komunikatów.

`-w`

  Montowanie w trybie odczytu i zapisu.

Opcji `-o` towarzyszy lista oddzielonych przecinkami parametrów, oto niektóre z nich:

nodev

  Ignorowanie obecnych w systemie plików urządzeń specjalnych. Przydatna opcja, jeśli chodzi o bezpieczeństwo.

noexec

  Wyłączenie uruchamiania programów wykonywalnych na systemie plików. Również służy bezpieczeństwu.

nosuid

  Ignorowanie bitów setuid i setgid w systemie plików. Kolejna opcja służąca bezpieczeństwu.

### 3.6.3. Polecenie `umount` Command

Poleceniu umount(8) należy podać jako parametr punkt montowania, nazwę urządzenia bądź opcję `-a` lub `-A`.

Każdej z form wywołania polecenia można podać opcję `-f`, która nakazuje dokonać bezwarunkowego odmontowania, oraz opcję `-v`, powodującą wypisywanie dodatkowych komunikatów. Należy mieć na uwadze, że raczej nie zaleca się korzystania z `-f`. Bezwarunkowe odmontowywanie systemu plików może doprowadzić do awarii systemu lub uszkodzenia danych znajdujących się w danym systemie plików.

Opcje `-a` oraz `-A` służą do odmontowania wszystkich zamontowanych systemów plików, lub systemów plików wybranych typów, określonych w opcji `-t`. Opcja `-A` nie dokonuje próby odmontowania głównego systemu plików.

Poprzedni | Początek rozdziału | Następny
3.5. Organizacja dysku | Spis treści | 3.7. Procesy

This, and other documents, can be downloaded from http://ftp.FreeBSD.org/pub/FreeBSD/doc/

For questions about FreeBSD, read the documentation before contacting <questions@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.